Fedora Core 6 : gnupg-1.4.7-2 (2007-315)

Medium Nessus Plugin ID 24821


The remote Fedora Core host is missing a security update.


This updates GnuPG to version 1.4.7, changing the default behavior so that gnupg now flags message streams which contain multiple plaintexts as an error. This prevents errors which would occur when applications which called gnupg assumed that this was already the default behavior.

Note that Tenable Network Security has extracted the preceding description block directly from the Fedora security advisory. Tenable has attempted to automatically clean and format it as much as possible without introducing additional issues.


Update the affected gnupg and / or gnupg-debuginfo packages.

See Also


Plugin Details

Severity: Medium

ID: 24821

File Name: fedora_2007-315.nasl

Version: $Revision: 1.11 $

Type: local

Agent: unix

Published: 2007/03/16

Modified: 2015/10/21

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 5

Vector: CVSS2#AV:N/AC:L/Au:N/C:N/I:P/A:N

Vulnerability Information

CPE: p-cpe:/a:fedoraproject:fedora:gnupg, p-cpe:/a:fedoraproject:fedora:gnupg-debuginfo, cpe:/o:fedoraproject:fedora_core:6

Required KB Items: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list

Patch Publication Date: 2007/03/12

Reference Information

CVE: CVE-2007-1263

FEDORA: 2007-315